Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.client
Class ParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.cactus.util.ChainedException
                  org.apache.cactus.internal.client.ParsingException

All Implemented Interfaces:
  java.io.Serializable

public class ParsingException
extends ChainedException

Thrown when parsing the Web Test result (XML) and trying to build a `WebTestResult` object.

Version:
  $Id: ParsingException.java 238991 2004-05-22 11:34:50Z vmassol $
See Also:
  `WebTestResultParser`, Serialized Form

Field Summary

Fields inherited from class org.apache.cactus.util.ChainedException
`originalException`

Constructor Summary
`ParsingException(java.lang.String theMessage)`
`ParsingException(java.lang.String theMessage, java.lang.Throwable theException)`
`ParsingException(java.lang.Throwable theException)`

Methods inherited from class org.apache.cactus.util.ChainedException
`printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ParsingException

    public ParsingException(java.lang.String theMessage)

See Also:
  `ChainedException.ChainedException(String)`

### ParsingException

    public ParsingException(java.lang.Throwable theException)

See Also:
  `ChainedException.ChainedException(Throwable)`

### ParsingException

    public ParsingException(java.lang.String theMessage,
                            java.lang.Throwable theException)

See Also:
  `ChainedException.ChainedException(String, Throwable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.